<?php

namespace Modules\Option\Interfaces;

use Illuminate\Http\Request;
use Modules\Option\Models\Option;

interface OptionRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Option $option);
    public function save(Request $request, ?Option $option): Option;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
